local mPhotonView,mJavaBridge = ...

function main()
    local Color = luajava.bindClass("android.graphics.Color")
    local bgDrawable = luajava.newInstance("android.graphics.drawable.GradientDrawable")
    local cornerSize = mJavaBridge:dip2px(14)
    bgDrawable:setCornerRadii({0, 0, 0, 0, cornerSize, cornerSize, cornerSize, cornerSize}) -- 设置图片四个角圆形半径：1、2两个参数表示左上角，3、4表示右上角，5、6表示右下角，7、8表示左下角
    bgDrawable:setColor(Color:parseColor("#ffffff"))
    bgDrawable:setGradientCenter(0, 0)
    bgDrawable:setGradientType(0)
    local item_layout = mPhotonView:getParser():getChildView('show_more_layout'):getView()
    item_layout:setBackgroundDrawable(bgDrawable)
end

function cardShowMore()
    mJavaBridge:Log("UpdateListLoader", "lua start changeState") 
    local params = {}
    params["key"] = "showMore"
    params["value"] = mPhotonView:getParser():getBinder():get("type")
    local listener = Rapid:getData("listener")
    if listener ~= nil then
        listener.notify(params["key"], params["value"])
    end
end
